Bug 840538 - After powering off VM that uses local storage, storage's permissions are broken and VM can't be started again
After powering off VM that uses local storage, storage's permissions are brok...
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
3.1 RC
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.4
Assigned To: Dan Kenigsberg
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-16 10:49 EDT by Miłosz Kosobucki
Modified: 2016-04-26 09:26 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-12 05:36:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Relevant vdsm log from node (137.17 KB, text/x-log)
2012-07-16 13:15 EDT, Miłosz Kosobucki
no flags Details
libvirt.log from node (14.86 KB, text/x-log)
2012-07-16 13:16 EDT, Miłosz Kosobucki
no flags Details
qemu machine log from node (from /var/log/libvirt/qemu/) (2.58 KB, text/x-log)
2012-07-16 13:17 EDT, Miłosz Kosobucki
no flags Details

  None (edit)
Description Miłosz Kosobucki 2012-07-16 10:49:03 EDT
Description of problem:
I have a node that uses local storage. I set up one virtual machine there with 10GB disk with thin provisioning. I turned it on, worked with it, and powered it off from guest OS. I couldn't turn it back on, because permissions of it's disk image got reassigned from vdsm:kvm to root:root. With these permissions, vdsm had no access to image, and complained that storage is gone.

After I manually changed permissions back to vdsm:kvm I could power on the machine once again.

Version-Release number of selected component (if applicable):
ovirt-node-iso-2.4.0-999.mburns201207102007.fc17.iso

How reproducible:
Every time.

Steps to Reproduce:
1. Set up host with local storage
2. Create VM with main disk on this storage.
3. Power on the machine
4. Power off the machine (from guest os)
5. Try to power on the machine
  
Actual results:
Machine's cannot be turned on once again because it's disk got reassigned to root:root on node and vdsm complains that storage is gone.

Expected results:
Machine turns on.
Comment 1 Mike Burns 2012-07-16 10:52:04 EDT
move to vdsm
Comment 2 Ayal Baron 2012-07-16 12:18:16 EDT
Please provide vdsm and libvirt logs.
What vdsm version?
What libvirt version (this sounds awfully like several libvirt bugs we've had in the past)
Comment 3 Miłosz Kosobucki 2012-07-16 13:15:30 EDT
Created attachment 598502 [details]
Relevant vdsm log from node
Comment 4 Miłosz Kosobucki 2012-07-16 13:16:13 EDT
Created attachment 598503 [details]
libvirt.log from node
Comment 5 Miłosz Kosobucki 2012-07-16 13:17:11 EDT
Created attachment 598504 [details]
qemu machine log from node (from  /var/log/libvirt/qemu/)
Comment 6 Miłosz Kosobucki 2012-07-16 13:17:57 EDT
2012-07-16 12:09:59.448+0000: 2056: info : libvirt version: 0.9.11.4, package: 3.fc17 (Fedora Project, 2012-06-28-13:50:28, x86-05.phx2.fedoraproject.org)

MainThread::INFO::2012-07-16 12:09:59,319::vdsm::70::vds::(run) I am the actual vdsm 4.10-0.166

Some background information to make reading the logs easier: Machine ubuntu1 was started at 16:48:45, at 16:48:55 vnc console was requested, and finally at 16:49:47 the machine was shut down from the guest os.

IP's and MAC addresses were obfuscated in log. They are not relevant anyway.

I'm using node image available at http://ovirt.org/releases/nightly/binary/, it's filename is in the bug report. Engine runs on Fedora 17 with packages from http://ovirt.org/releases/beta/fedora/17/
Comment 7 Itamar Heim 2013-03-12 05:36:39 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.